package com.philisense.www.dao;

import java.util.Collection;
import java.util.Map;
import java.util.Set;

public interface JwtPermissionDAO {
    public Set<Map<String,Object>> getAuthoritiesByUserId(String userid);

    public Set<Map<String,Object>>  getAuthoritiesNoGroupByUserId(String userid);

    public Map<String,Object> getByUsername(String username);

    public Set<Map<String,Object>> getMenusByParentId(Map<String,Object> map);

    public Set<Map<String,Object>> getAllMenuUrlResources(Map<String,Object> map);

    Map<String, Object> getUserByMap(Map<String, Object> map);

    Set<Map<String, Object>> getAllUrlResources(Map<String,Object> map);
}
